安装ZendGuardLoader

zend optimizer不支持PHP 5.3及之后的版本,php 5.3之后要用Zend Guard Loader来加密、解密、提升PHP性能。这里以ubuntu 12.04 server 为例。

1.下载
http://www.zend.com/en/products/guard/downloads

2.安装
解压后得到ZendGuardLoader.so,复制到/usr/lib/php5/,然后在/etc/php5/apache2/php.ini中加入下面的代码,再重启apache服务器。

[Zend.loader]
zend_extension=/usr/lib/php5/ZendGuardLoader.so
zend_loader.enable=1
zend_loader.disable_licensing=0
zend_loader.obfuscation_level_support=3
zend_loader.license_path=